<html>
<head>
<title>OGRE: OgreShadowCameraSetupFocused.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreShadowCameraSetupFocused.h</h1><a href="OgreShadowCameraSetupFocused_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Copyright (c) 2006 Matthias Fink, netAllied GmbH &lt;matthias.fink@web.de&gt;                             </span>
<a name="l00009"></a>00009 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00010"></a>00010 <span class="comment"></span>
<a name="l00011"></a>00011 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00012"></a>00012 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00013"></a>00013 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00014"></a>00014 <span class="comment">version.</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00017"></a>00017 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00018"></a>00018 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00019"></a>00019 <span class="comment"></span>
<a name="l00020"></a>00020 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00021"></a>00021 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00022"></a>00022 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00023"></a>00023 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00024"></a>00024 <span class="comment"></span>
<a name="l00025"></a>00025 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00026"></a>00026 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00027"></a>00027 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00028"></a>00028 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00029"></a>00029 <span class="comment">*/</span>
<a name="l00030"></a>00030 <span class="preprocessor">#ifndef __ShadowCameraSetupFocused_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor">#define __ShadowCameraSetupFocused_H__</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span>
<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="OgreShadowCameraSetup_8h.html">OgreShadowCameraSetup.h</a>"</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include "<a class="code" href="OgrePolygon_8h.html">OgrePolygon.h</a>"</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include "<a class="code" href="OgreConvexBody_8h.html">OgreConvexBody.h</a>"</span>
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="keyword">namespace </span>Ogre {
<a name="l00040"></a>00040 
<a name="l00041"></a>00041     <span class="keyword">class </span>ConvexBody;
<a name="l00042"></a>00042 
<a name="l00052"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html">00052</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html" title="Implements the uniform shadow mapping algorithm in focused mode.">FocusedShadowCameraSetup</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ShadowCameraSetup.html" title="This class allows you to plug in new ways to define the camera setup when rendering...">ShadowCameraSetup</a>
<a name="l00053"></a>00053     {
<a name="l00054"></a>00054     <span class="keyword">protected</span>:
<a name="l00062"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html#2022a48e9e37aa409682d320233cfa09">00062</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a> msNormalToLightSpace;
<a name="l00063"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html#3c6218ad4ccccd28374444f1ecd2b3d5">00063</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a> msLightSpaceToNormal;
<a name="l00064"></a>00064 
<a name="l00068"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html#0ebae20e4252d229af9524a8690ecc11">00068</a>         <a class="code" href="classOgre_1_1Frustum.html" title="A frustum represents a pyramid, capped at the near and far end which is used to represent...">Frustum</a>* mTempFrustum;
<a name="l00069"></a>00069 
<a name="l00072"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html#1cdb9e5c72f7bbb936b2ba84cf605787">00072</a>         <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* mLightFrustumCamera;
<a name="l00073"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html#113a55085b7c23a1004a4be9f3155c1c">00073</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> mLightFrustumCameraCalculated;
<a name="l00074"></a>00074 
<a name="l00076"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html#c22ea363ab7fc61d60f0c1518015cb6b">00076</a>         <span class="keywordtype">bool</span> mUseAggressiveRegion;
<a name="l00077"></a>00077 
<a name="l00080"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">00080</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a>
<a name="l00081"></a>00081         {
<a name="l00082"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#8ed99e0d43569bb2304494c5f399a6ca">00082</a>             <a class="code" href="classOgre_1_1Polygon.html#72d1c26d937a8a3f8caad158c7d71745">Polygon::VertexList</a> mBodyPoints;
<a name="l00083"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#ef88b74b4b2ab59e7fd26b95ab6f348c">00083</a>             <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a>      mAAB;
<a name="l00084"></a>00084 
<a name="l00085"></a>00085         <span class="keyword">public</span>:
<a name="l00086"></a>00086             <a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a>();
<a name="l00087"></a>00087             <a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ConvexBody.html" title="Holds a solid representation of a convex body.">ConvexBody</a>&amp; body);
<a name="l00088"></a>00088             ~<a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a>();
<a name="l00089"></a>00089 
<a name="l00092"></a>00092             <span class="keywordtype">void</span> merge(<span class="keyword">const</span> <a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a>&amp; plb);
<a name="l00093"></a>00093 
<a name="l00098"></a>00098             <span class="keywordtype">void</span> build(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ConvexBody.html" title="Holds a solid representation of a convex body.">ConvexBody</a>&amp; body, <span class="keywordtype">bool</span> filterDuplicates = <span class="keyword">true</span>);
<a name="l00099"></a>00099 
<a name="l00109"></a>00109             <span class="keywordtype">void</span> buildAndIncludeDirection(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ConvexBody.html" title="Holds a solid representation of a convex body.">ConvexBody</a>&amp; body, 
<a name="l00110"></a>00110                 <span class="keyword">const</span> <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a>&amp; aabMax, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; dir);
<a name="l00111"></a>00111 
<a name="l00114"></a>00114             <span class="keyword">const</span> <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a>&amp; getAAB(<span class="keywordtype">void</span>) <span class="keyword">const</span>;   
<a name="l00115"></a>00115 
<a name="l00118"></a>00118             <span class="keywordtype">void</span> addPoint(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; point);
<a name="l00119"></a>00119 
<a name="l00122"></a>00122             <span class="keywordtype">void</span> addAAB(<span class="keyword">const</span> <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a>&amp; aab);
<a name="l00123"></a>00123 
<a name="l00126"></a>00126             <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; getPoint(<span class="keywordtype">size_t</span> cnt) <span class="keyword">const</span>;
<a name="l00127"></a>00127 
<a name="l00130"></a>00130             <span class="keywordtype">size_t</span> getPointCount(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00131"></a>00131 
<a name="l00134"></a>00134             <span class="keywordtype">void</span> reset(<span class="keywordtype">void</span>);
<a name="l00135"></a>00135 
<a name="l00136"></a>00136         };
<a name="l00137"></a>00137 
<a name="l00138"></a>00138         <span class="comment">// Persistent calculations to prevent reallocation</span>
<a name="l00139"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html#e784e0376eb99fa60f2c4a995ccd162e">00139</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1ConvexBody.html" title="Holds a solid representation of a convex body.">ConvexBody</a> mBodyB;
<a name="l00140"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html#84c5bc98d3d36f4e3f858d726d1cb19e">00140</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a> mPointListBodyB;
<a name="l00141"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html#69328121d415c6e9033ff0e3d7d21cd2">00141</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a> mPointListBodyLVS;
<a name="l00142"></a>00142 
<a name="l00143"></a>00143     <span class="keyword">protected</span>:
<a name="l00158"></a>00158         <span class="keywordtype">void</span> calculateShadowMappingMatrix(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &amp;#39;scene&amp;#39; i.e.">SceneManager</a>&amp; sm, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>&amp; cam, 
<a name="l00159"></a>00159             <span class="keyword">const</span> <a class="code" href="classOgre_1_1Light.html" title="Representation of a dynamic light source in the scene.">Light</a>&amp; light, <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a> *out_view, 
<a name="l00160"></a>00160             <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a> *out_proj, <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a> *out_cam) <span class="keyword">const</span>;
<a name="l00161"></a>00161 
<a name="l00180"></a>00180         <span class="keywordtype">void</span> calculateB(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &amp;#39;scene&amp;#39; i.e.">SceneManager</a>&amp; sm, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>&amp; cam, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Light.html" title="Representation of a dynamic light source in the scene.">Light</a>&amp; light, 
<a name="l00181"></a>00181             <span class="keyword">const</span> <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a>&amp; sceneBB, <a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a> *out_bodyB) <span class="keyword">const</span>;
<a name="l00182"></a>00182 
<a name="l00197"></a>00197         <span class="keywordtype">void</span> calculateLVS(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &amp;#39;scene&amp;#39; i.e.">SceneManager</a>&amp; sm, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>&amp; cam, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Light.html" title="Representation of a dynamic light source in the scene.">Light</a>&amp; light,
<a name="l00198"></a>00198             <span class="keyword">const</span> <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a>&amp; sceneBB, <a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a> *out_LVS) <span class="keyword">const</span>;
<a name="l00199"></a>00199 
<a name="l00209"></a>00209         <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> getLSProjViewDir(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a>&amp; lightSpace, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>&amp; cam, 
<a name="l00210"></a>00210             <span class="keyword">const</span> <a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a>&amp; bodyLVS) <span class="keyword">const</span>;
<a name="l00211"></a>00211 
<a name="l00221"></a>00221         <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> getNearCameraPoint_ws(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a>&amp; viewMatrix, 
<a name="l00222"></a>00222             <span class="keyword">const</span> <a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a>&amp; bodyLVS) <span class="keyword">const</span>;
<a name="l00223"></a>00223 
<a name="l00233"></a>00233         <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a> transformToUnitCube(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a>&amp; m, <span class="keyword">const</span> <a class="code" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a>&amp; body) <span class="keyword">const</span>;
<a name="l00234"></a>00234 
<a name="l00239"></a>00239         <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogenous matrix.">Matrix4</a> buildViewMatrix(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; pos, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; dir, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; up) <span class="keyword">const</span>;
<a name="l00240"></a>00240 
<a name="l00241"></a>00241     <span class="keyword">public</span>:
<a name="l00246"></a>00246         <a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html" title="Implements the uniform shadow mapping algorithm in focused mode.">FocusedShadowCameraSetup</a>(<span class="keywordtype">void</span>);
<a name="l00247"></a>00247 
<a name="l00252"></a>00252         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html" title="Implements the uniform shadow mapping algorithm in focused mode.">FocusedShadowCameraSetup</a>(<span class="keywordtype">void</span>);
<a name="l00253"></a>00253 
<a name="l00256"></a>00256         <span class="keyword">virtual</span> <span class="keywordtype">void</span> getShadowCamera(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &amp;#39;scene&amp;#39; i.e.">SceneManager</a> *sm, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a> *cam, 
<a name="l00257"></a>00257             <span class="keyword">const</span> <a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> *vp, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Light.html" title="Representation of a dynamic light source in the scene.">Light</a> *light, <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a> *texCam) <span class="keyword">const</span>;
<a name="l00258"></a>00258 
<a name="l00272"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html#f57854c45cd48033da1cb28e316901dc">00272</a>         <span class="keywordtype">void</span> setUseAggressiveFocusRegion(<span class="keywordtype">bool</span> aggressive) { mUseAggressiveRegion = aggressive; }
<a name="l00273"></a>00273 
<a name="l00274"></a><a class="code" href="classOgre_1_1FocusedShadowCameraSetup.html#89fc1444a88d8c20c35ee50a8c518564">00274</a>         <span class="keywordtype">bool</span> getUseAggressiveFocusRegion()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mUseAggressiveRegion; }
<a name="l00275"></a>00275 
<a name="l00276"></a>00276     };
<a name="l00277"></a>00277 
<a name="l00278"></a>00278 
<a name="l00279"></a>00279 }
<a name="l00280"></a>00280 
<a name="l00281"></a>00281 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:56 2008
</p>
</body>
</html>
